#define MAX_DIR_ENTRIES   500
#define FG_SLEEP          20000
#define SNUG_EXTENSION     ".snug" /*".Funk"*/

/*snuggle editor specific keys*/

#define KEY_FRAMEUP			'/'	
#define KEY_FRAMEDOWN		'*'	
#define FC_ARROW_UP      	KEY_UP
#define FC_ARROW_DN      	KEY_DOWN
#define FC_ARROW_LEFT    	KEY_LEFT
#define FC_ARROW_RIGHT   	KEY_RIGHT
#define FC_SNUG_HOME		KEY_HOME	
#define FC_ENTER         	10
#define FC_SNUG_ED_ATTR 	FC_ENTER
#define FC_SPACE         	' '
#define FC_SNUG_PLAY    	FC_SPACE
#define FC_TRIM_UP			'+'
#define FC_TRIM_DOWN		'-'
#define	FC_PAGEUP			339
#define	FC_PAGEDOWN			338

#define FC_SNUG_HELP    		KEY_F(1)
#define FC_LOAD_SESSION			KEY_F(2)
#define FC_SAVE_SNUG    		KEY_F(3)
#define FC_LOAD_FILE	 		KEY_F(4) 

#define FC_SNUG_FRAME_SET  		KEY_F(5) 
#define FC_SNUG_FRAME_SPLIT  	KEY_F(6) 
#define FC_SNUG_FRAME_DOUBLE  	KEY_F(7) 
#define FC_SNUG_FRAME_APPLY  	KEY_F(8) 

#define FC_SET_START			KEY_F(9)
#define FC_SET_END				KEY_F(10)

#define FC_INS_ENTRY     		KEY_F(11)
#define FC_COPY_ENTRY     	    KEY_F(12)	

#define FC_SNUG_SAVE    		KEY_F(13)
#define FC_SNUG_CAPTURE			KEY_F(14)

#define FC_SET_TRIM				KEY_F(15)
#define FC_SET_FAST				KEY_F(16)
#define FC_SET_HK				KEY_F(17)
#define FC_CHANGE_DIR    		KEY_F(18)
#define FC_LOAD_TO_RAM			KEY_F(19)

#define FC_DEL_ENTRY    		KEY_F(21)	
#define FC_SCREEN_ESCAPE 		KEY_F(20) 

/*dir specific*/
#define FC_DIR_RENAME    		KEY_F(5)
#define FC_DIR_CHANGE    		KEY_F(6)
#define FC_DIR_SELECT_ALL   	KEY_F(12)

/*colour defs*/

/*****************************
you can touch these

BLACK     0
RED       1
GREEN     2
YELLOW    3
BLUE      4
MAGENTA   5
CYAN      6
WHITE     7
********************************/

#define COL_TOPBAR_BG       1 
#define COL_TOPBAR_FG       7 

#define COL_BOX_BG          6
#define COL_BOX_FG          5

#define COL_FERR_MESSAGE_BG 0
#define COL_FERR_MESSAGE_FG 6

#define COL_TITLE_BG        0
#define COL_TITLE_FG        6

#define COL_TEXT_BG         0
#define COL_TEXT_FG         7

#define COL_TEXT2_BG        0
#define COL_TEXT2_FG        1 

#define COL_BAR_BG          0
#define COL_BAR_FG          5

/**leave alone************************/
#define COL_NOTHING         0
#define COL_TOPBAR          1
#define COL_BOX             2
#define COL_FERR_MESSAGE    3
#define COL_TITLE           4
#define COL_TEXT            5
#define COL_TEXT2           6
#define COL_BAR             7
